package ink.wgink.pojo.app;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: AppTokenUserGroup
 * @Description: 用户组
 * @Author: WangGeng
 * @Date: 2020/2/10 9:33 下午
 * @Version: 1.0
 **/
public class AppTokenUserGroup implements Serializable {

    private static final long serialVersionUID = -4130999187990640889L;
    private String groupId;
    private String groupName;

    public String getGroupId() {
        return groupId == null ? "" : groupId.trim();
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getGroupName() {
        return groupName == null ? "" : groupName.trim();
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"groupId\":")
                .append("\"").append(groupId).append("\"");
        sb.append(",\"groupName\":")
                .append("\"").append(groupName).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
